import 'package:flutter/foundation.dart';
import 'package:flutter/services.dart';

import 'lycan_pay_platform_interface.dart';

/// An implementation of [LycanPayPlatform] that uses method channels.
class MethodChannelLycanPay extends LycanPayPlatform {
  /// The method channel used to interact with the native platform.
  @visibleForTesting
  final methodChannel = const MethodChannel('lycan_pay');

  @override
  Future<String?> getPlatformVersion() async {
    final version = await methodChannel.invokeMethod<String>('getPlatformVersion');
    return version;
  }
}
