import 'package:plugin_platform_interface/plugin_platform_interface.dart';

import 'lycan_pay_method_channel.dart';

abstract class LycanPayPlatform extends PlatformInterface {
  /// Constructs a LycanPayPlatform.
  LycanPayPlatform() : super(token: _token);

  static final Object _token = Object();

  static LycanPayPlatform _instance = MethodChannelLycanPay();

  /// The default instance of [LycanPayPlatform] to use.
  ///
  /// Defaults to [MethodChannelLycanPay].
  static LycanPayPlatform get instance => _instance;
  
  /// Platform-specific implementations should set this with their own
  /// platform-specific class that extends [LycanPayPlatform] when
  /// they register themselves.
  static set instance(LycanPayPlatform instance) {
    PlatformInterface.verifyToken(instance, _token);
    _instance = instance;
  }

  Future<String?> getPlatformVersion() {
    throw UnimplementedError('platformVersion() has not been implemented.');
  }
}
